### Method

# Gtk CellRendererget_preferred_size

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_size (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkRequisition* minimum_size,
      GtkRequisition* natural_size
    )

#### Description [src]

Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` this cell will be rendering to.

  The data is owned by the caller of the method.

`minimum_size`

  Type: `GtkRequisition`

  Location for storing the minimum size.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`natural_size`

  Type: `GtkRequisition`

  Location for storing the natural size.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.